conda_base='/var/lib/cds-conda/base'
default_env='cds'

ID=`/usr/bin/id -u`
[ -n "$ID" -a "$ID" -lt 1000 ] && return

SSH_PORT_OK=false
ssh_incoming_port=$(echo $SSH_CONNECTION | cut -d ' ' -f 4)

if [ "${ssh_incoming_port}" == "22" ] ; then
   SSH_PORT_OK=true
fi
if [ -z "${ssh_incoming_port}" ] ;  then
   SSH_PORT_OK=true
fi

export SSH_PORT_OK

SSH_PORT="x${ssh_incoming_port}x"
export SSH_PORT
    if [ ! -e $HOME/.noconda ] ; then
        PS1="[\u@\h \W]\\$ "
        . ${conda_base}/etc/profile.d/conda.sh
        if [ -f ${conda_base}/etc/profile.d/mamba.sh ]; then
            export MAMBA_ROOT_BASE=${conda_base}
            export MAMBA_EXE="${MAMBA_ROOT_BASE}/condabin/mamba"
            . ${conda_base}/etc/profile.d/mamba.sh
        fi

        if [ ! -e $HOME/.noigwn ] ; then
            if [ -e $HOME/.conda_version ] ; then
                custom_env=$(head -1 $HOME/.conda_version)
            fi
            if [ -z "${custom_env}" ] ; then
                custom_env="${default_env}"
            fi

            if [ -n "${custom_env}" ] ; then
            	. ${conda_base}/bin/activate
                conda activate $custom_env
            fi
        fi
    fi

